plugins {
    id 'com.android.library'
}

android {
    namespace 'com.elinkthings.otalibrary'
    compileSdk 34

    defaultConfig {
        minSdk 24

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    repositories {
        flatDir {
            dirs 'libs'
        }
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.4.2'
    implementation 'com.google.android.material:material:1.12.0'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.2.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.6.1'

    //杰理OTA库
    implementation(name: 'jl_bt_ota_V1.9.2-release', ext: 'aar')
    //杰理rcsp基础库
    implementation(name: 'jl_rcsp_V0.5.1-release', ext: 'aar')
    //图像转换相关
    implementation(name: 'BmpConvert_V1.2.0-release', ext: 'aar')
    //杰理健康相关
    implementation(name: 'JL_Watch_V1.9.1-release', ext: 'aar')
    //瑞立 OTA 库
    implementation(name: 'rtkOtaLib-release', ext: 'aar')
    api files('libs/BleOtaLibrary.jar')

}